| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
PreStack::Event Class Reference
PreStackProcessing

A Event is a set of picks on an event on a single PreStack gather. More...

`#include <prestackevents.h>`

## Public Member Functions
| Event (const Event &)
| Event (int sz, bool quality)
| ~Event ()
void | addPick ()
int | indexOf (const OffsetAzimuth &) const
void | insertPick (int)
Event & | operator= (const Event &)
void | removePick (int)
void | setSize (int sz, bool quality)

## Static Public Member Functions
static unsigned char | cBestQuality ()
static unsigned char | cDefaultQuality ()
static unsigned char | cManPickQuality ()

## Public Attributes
VSEvent::Type | eventtype_ = VSEvent::None
short | horid_ = -1
OffsetAzimuth * | offsetazimuth_ = nullptr
float * | pick_ = nullptr
unsigned char * | pickquality_ = 0
unsigned char | quality_ = 255
int | sz_

## Detailed Description

A Event is a set of picks on an event on a single PreStack gather.

<>

## Constructor & Destructor Documentation

## ◆ Event() [1/2]

PreStack::Event::Event | ( | int | sz,
|  | bool | quality )

## ◆ Event() [2/2]

PreStack::Event::Event | ( | const Event & |  | ) |

## ◆ ~Event()

PreStack::Event::~Event | ( |  | ) |

## Member Function Documentation

## ◆ addPick()

void PreStack::Event::addPick | ( |  | ) |

## ◆ cBestQuality()

static unsigned char PreStack::Event::cBestQuality | ( |  | ) |
| inline static

## ◆ cDefaultQuality()

static unsigned char PreStack::Event::cDefaultQuality | ( |  | ) |
| inline static

## ◆ cManPickQuality()

static unsigned char PreStack::Event::cManPickQuality | ( |  | ) |
| inline static

## ◆ indexOf()

int PreStack::Event::indexOf | ( | const OffsetAzimuth & |  | ) | const

## ◆ insertPick()

void PreStack::Event::insertPick | ( | int |  | ) |

## ◆ operator=()

Event & PreStack::Event::operator= | ( | const Event & |  | ) |

## ◆ removePick()

void PreStack::Event::removePick | ( | int |  | ) |

## ◆ setSize()

void PreStack::Event::setSize | ( | int | sz,
|  | bool | quality )

## Member Data Documentation

## ◆ eventtype_

VSEvent::Type PreStack::Event::eventtype_ = VSEvent::None

## ◆ horid_

short PreStack::Event::horid_ = -1

## ◆ offsetazimuth_

OffsetAzimuth* PreStack::Event::offsetazimuth_ = nullptr

## ◆ pick_

float* PreStack::Event::pick_ = nullptr

## ◆ pickquality_

unsigned char* PreStack::Event::pickquality_ = 0

## ◆ quality_

unsigned char PreStack::Event::quality_ = 255

## ◆ sz_

int PreStack::Event::sz_

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025